MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005057ATutorInstallationpublic2012-08-25 10:382013-02-11 12:04
Reportergreg 
Assigned Tocindy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.1Fixed in Version 
Summary0005057: MAX() to set next module privilege
DescriptionThe MAX() function used to get the next bitwise value when installing a module, is not working. returns error

0001111 - Invalid use of group function
TagsNo tags attached.
Affects versionSVN
SVN Revision#na
Attached Files

- Relationships
has duplicate 0005066closedcindy Upgrade to 2.1 fails With Module MAX() 

-  Notes
(0005807)
greg (administrator)
2012-08-27 18:00
edited on: 2012-08-27 18:02

The following works if run manually, but not if run by sql_utility.class.php

INSERT INTO `modules` (dir_name, status, privilege, admin_privilege, cron_interval, cron_last_run)
SELECT 'payments', 2, max(privilege)*2, max(admin_privilege)*2, 0, 0 FROM `modules`;

Need to add processing of SELECT statement with the TABLE_PREFIX to utility.

(0005857)
greg (administrator)
2012-10-03 11:20

see 5066
(0006043)
greg (administrator)
2013-02-11 12:04

closed for 2.1.1

- Issue History
Date Modified Username Field Change
2012-08-25 10:38 greg New Issue
2012-08-25 10:38 greg Status new => assigned
2012-08-25 10:38 greg Assigned To => cindy
2012-08-27 18:00 greg Note Added: 0005807
2012-08-27 18:02 greg Note Edited: 0005807 View Revisions
2012-09-07 13:16 greg Relationship added has duplicate 0005066
2012-10-03 11:20 greg SVN Revision# => na
2012-10-03 11:20 greg Note Added: 0005857
2012-10-03 11:20 greg Status assigned => resolved
2012-10-03 11:20 greg Resolution open => fixed
2013-02-11 12:04 greg Note Added: 0006043
2013-02-11 12:04 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker